###################################################
### chunk number 1: 
###################################################
#line 170 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
options(width=85)
library(gRbase)


###################################################
### chunk number 2: 
###################################################
#line 173 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
library(gRbase)
data(HairEyeColor)
gmdHec  <- as.gmData(HairEyeColor)  # define data
gmdHec

valueLabels(gmdHec)


###################################################
### chunk number 3: 
###################################################
#line 189 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
hecM1 <- hllm(~Hair*Eye+Sex,gmdHec)# indep. of Sex   
hecM1 <- fit(hecM1,engine="loglm")   
anova(getFit(hecM1))                   # test against saturated model


###################################################
### chunk number 4: 
###################################################
#line 215 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
data(rats)
gmdRats <- as.gmData(rats)
gmdRats


###################################################
### chunk number 5: 
###################################################
#line 233 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
gmdRatsNodata  <-  newgmData(
                         varNames=c("Sex","Drug","W1","W2"),
                         varTypes=c("Discrete", "Discrete",
"Continuous", "Continuous"),
                         nLevels=c(2,3,NA,NA), 
                         valueLabels=list( Sex=c("M", "F"),
Drug=c("D1", "D2", "D3")))
gmdRatsNodata
valueLabels(gmdRatsNodata)


###################################################
### chunk number 6: 
###################################################
#line 257 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
d  <-  newgmData(varNames=c("Sex","Drug","W1","W2"),
                 varTypes=c("Discrete", "Discrete",
"Continuous", "Continuous"))
d
valueLabels(d)


###################################################
### chunk number 7: 
###################################################
#line 273 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
validVarTypes()


###################################################
### chunk number 8: 
###################################################
#line 282 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
oldtypes <- validVarTypes()
validVartypes <- function() c(oldtypes, "PosCont")
validVartypes()


###################################################
### chunk number 9: 
###################################################
#line 299 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
observations(gmdRatsNodata) <- rats
valueLabels(gmdRatsNodata)$Sex <- c("Male","Female")
valueLabels(gmdRatsNodata)


###################################################
### chunk number 10: 
###################################################
#line 316 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
d <- list(varNames=c("Aa","Bb"), nLevels=c(2,2), counts=c(12,20,33,41))
class(d) <- "countsList"
d


###################################################
### chunk number 11: 
###################################################
#line 326 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
as.gmData.countsList <- function(from){
  ans <- newgmData(varNames=from$varNames, nLevels=from$nLevels)
  observations(ans) <- from$counts
  return(ans)
}


###################################################
### chunk number 12: 
###################################################
#line 338 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
gd<-as.gmData(d)
valueLabels(gd)
observations(gd)


###################################################
### chunk number 13: 
###################################################
#line 367 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
#options(width=50)


###################################################
### chunk number 14: 
###################################################
#line 373 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
#options(width=50)


###################################################
### chunk number 15: 
###################################################
#line 375 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
m1 <- hllm(~.^.,gmdHec)   # saturated
formula(m1)


###################################################
### chunk number 16: 
###################################################
#line 382 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
#options(width=50)


###################################################
### chunk number 17: 
###################################################
#line 384 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
m2 <- hllm(~Hair*Eye+Sex,gmdHec)


###################################################
### chunk number 18: 
###################################################
#line 390 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
#options(width=50)


###################################################
### chunk number 19: 
###################################################
#line 392 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
m3 <- hllm(~.^1,gmdHec)   # all main effects
formula(m3)


###################################################
### chunk number 20: 
###################################################
#line 399 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
#options(width=50)


###################################################
### chunk number 21: 
###################################################
#line 401 "d:/Rcompile/CRANpkg/local/2.12/gRbase/inst/doc/gRbase.Rnw"
m4 <- hllm(~.^.,gmdHec,marginal=c("Hair","Eye")) 
formula(m4)


